# class KSqueezedTextLabel | A replacement for QLabel that squeezes its text. More...
Definition | `#include <ksqueezedtextlabel.h>`
Inherits | QLabel (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSqueezedTextLabel ( QWidget *parent )
- KSqueezedTextLabel ( QWidget *parent, const char *name)
- KSqueezedTextLabel ( const QString &text, QWidget *parent )
- KSqueezedTextLabel ( const QString &text, QWidget *parent, const char *name )

#### Public Slots

- void setText ( const QString & )

#### Protected Methods

- void resizeEvent ( QResizeEvent * )
- void squeezeTextToLabel ()

#### Protected Members

- QString fullText

## Detailed Description

A label class that squeezes its text into the label

If the text is too long to fit into the label it is divided into remaining left and right parts which are separated by three dots.

Example: http://www.kde.org/documentation/index.html could be squeezed to http://www.kde...ion/index.html

KSqueezedTextLabel ( QWidget *parent ) | ### KSqueezedTextLabel

Default constructor.

KSqueezedTextLabel ( QWidget *parent, const char *name) | ### KSqueezedTextLabel

KSqueezedTextLabel ( const QString &text, QWidget *parent ) | ### KSqueezedTextLabel

KSqueezedTextLabel ( const QString &text, QWidget *parent, const char *name ) | ### KSqueezedTextLabel

void setText ( const QString & ) | ### setText

[slot]

Reimplemented from QLabel.

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected]

used when widget is resized

Reimplemented from QLabel.

void squeezeTextToLabel () | ### squeezeTextToLabel

[protected]

does the dirty work

QString fullText | ### fullText

[protected]

- Version: $Id: ksqueezedtextlabel.h,v 1.2 2001/02/11 13:15:50 gehrmab Exp $
- Author: Ronny Standtke <Ronny.Standtke@gmx.de>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.